---
import { Icon } from 'astro-icon';

const items = [
	[
		{
			question: "Is Unity being actively developed?",
			answer: `You bet it is! We've been busy bees over here, working on the latest and greatest updates for all you Unity fans out there. Just a few months ago we released Unity 7.6, and let me tell you, it was a real game-changer. And we've got even more amazing updates in the works, so stay tuned. Unity is like fine wine, it just keeps getting better with age.`,
		},
		{
			question: 'Is Unity the same as Lomiri?',
			answer: `Nope, Lomiri is a desktop environment that's all about convergence, used by Ubuntu Touch. Unity is like vanilla ice cream with extra sparkle and shine. We're also working with UBports on bringing Lomiri to the desktop, because we love hugs.`,
		},
		{
			question: 'Does Unity use QT?',
			answer: `No, Unity does not use QT as its widget toolkit. Instead, it uses the GTK+ (GIMP Toolkit) widget library. QT is a popular cross-platform application framework used in the development of graphical user interfaces, but it is not used by Unity.`,
		},
	],
	[
		{
			question: "Does Unity depend on Ubuntu?",
			answer: `No, although it depends on patched versions of GTK and some other packages. Unity's now available for many other distros.`,
		},
		{
			question: 'Does Unity support Wayland?',
			answer: `Nope. However, UnityX, a prototype desktop environment (which will be available as a variant of Unity once ready), will include Wayland support.`,
		},
		{
			question: 'How is Unity different from other desktop platforms?',
			answer: `Unity is a desktop platform that is known for its user-friendly interface and customizable features. Other popular desktop environments include Gnome, KDE, and Xfce, which have different interface designs and feature sets. Unity is designed to be a modern, efficient and lightweight desktop platform that offers a range of customization options.`,
		},
	],
];
---

<div class="px-4 py-16 mx-auto max-w-6xl lg:py-20">
	<div class="max-w-xl sm:mx-auto lg:max-w-2xl">
		<div class="max-w-xl mb-10 md:mx-auto sm:text-center lg:max-w-2xl md:mb-12">
			<h2 class="max-w-lg mb-4 text-3xl font-bold leading-none tracking-tight sm:text-4xl md:mx-auto font-heading">
				Frequently Asked Questions
			</h2>
		</div>
	</div>
	<div class="max-w-screen-xl sm:mx-auto">
		<div class="grid grid-cols-1 gap-x-8 gap-y-8 lg:gap-x-16 md:grid-cols-2">
			{
				items.map((subitems) => (
					<div class="space-y-8">
						{subitems.map(({ question, answer }) => (
							<div>
								<p class="mb-4 text-xl font-bold">
									<Icon name="tabler:arrow-down-right" class="w-7 h-7 text-primary-500 inline-block" />
									{question}
								</p>
								{answer.split('\n\n').map((paragraph) => (
									<p class="text-gray-700 dark:text-gray-400 mb-2" set:html={paragraph} />
								))}
							</div>
						))}
					</div>
				))
			}
		</div>
	</div>
</div>
